# VintageNetWizard.APMode (vintage_net_wizard v0.4.2) View Source

This module contains utilities for configuration VintageNet in AP Mode

# Link to this section Summary

## Functions

ap_mode_configuration(hostname, our_name)

Return a configuration to put VintageNet into AP mode

into_ap_mode(ifname)

Change the WiFi module into access point mode

ssid()

Return SSID that is used for AP Mode

# Link to this section Functions

Link to this function

# ap_mode_configuration(hostname, our_name)

View Source

## Specs

    ap_mode_configuration(String.t(), String.t()) :: map()

Return a configuration to put VintageNet into AP mode

Link to this function

# into_ap_mode(ifname)

View Source

## Specs

    into_ap_mode(VintageNet.ifname()) :: :ok | {:error, any()}

Change the WiFi module into access point mode

Link to this function

# ssid()

View Source

## Specs

    ssid() :: String.t()

Return SSID that is used for AP Mode